hightlight the interference volume using c#

Solution Partner Pioneer Solution Partner Pioneer
Solution Partner Pioneer

Hello, 
I 'm working with check interference with c#.
I'm able to create the report file of all interference existing in the assembly using this code 

Array set1 = Array.CreateInstance(typeof(SolidEdgeAssembly.Occurrence), document2.Occurrences.Count);
                    SolidEdgeAssembly.InterferenceStatusConstants Status = (SolidEdgeAssembly.InterferenceStatusConstants)0;
                    object numInterferences = 0;
                    Array InterferingPartsSet1 = Array.CreateInstance(typeof(SolidEdgeAssembly.Occurrence), document2.Occurrences.Count);

                    Array InterferingPartsOtherSet = Array.CreateInstance(typeof(SolidEdgeAssembly.Occurrence), document2.Occurrences.Count);
                    int index1 = 0;
                    String file = @"C:\Users\hp\Desktop\report1.txt";
                    foreach (SolidEdgeAssembly.Occurrence s in occ) { set1.SetValue(s, index1); index1++; }
                    object[] methodArgs = { set1.Length, set1, Status, SolidEdgeConstants.InterferenceComparisonConstants.seInterferenceComparisonSet1vsItself, Missing.Value, Missing.Value, Missing.Value, file, Missing.Value, numInterferences, InterferingPartsSet1, InterferingPartsOtherSet, Missing.Value, interferenceOccurrence, Missing.Value };

                    ParameterModifier p = new ParameterModifier(15);
                    p[1] = true;
                    p[2] = true;
                    p[9] = true;
                    p[10] = true;
                    p[11] = true;
                    p[7] = true;
                    ParameterModifier[] mods = { p };
                    int hr = 0;
                    try
                    {
                        hr = System.Runtime.InteropServices.Marshal.GetLastWin32Error();
                        document2.GetType().InvokeMember("CheckInterference", BindingFlags.InvokeMethod, null, document2, methodArgs, mods, null, null);

                        Status = (SolidEdgeAssembly.InterferenceStatusConstants)methodArgs[2];
                        numInterferences = (int)methodArgs[9];
}

 

Now I want to display the interfering volume(hightlight the interference).

How can i do this using API .

 

best regards.

Amani

1 REPLY

Re: hightlight the interference volume using c#

Solution Partner Pioneer Solution Partner Pioneer
Solution Partner Pioneer

Hello again,

I'm trying to find the function bellow using API.

Capture1.PNG

how to find it ?